Package co.nstant.in.cbor.builder

## Class MapBuilder<T extends AbstractBuilder<?>>

- java.lang.Object
- - co.nstant.in.cbor.builder.AbstractBuilder<T>
  - - co.nstant.in.cbor.builder.MapBuilder<T>

-     public class MapBuilder<T extends AbstractBuilder<?>>
      extends AbstractBuilder<T>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MapBuilder​(T parent, Map map)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `MapEntryBuilder<MapBuilder<T>>` | `addKey​(long key)` |
    `MapEntryBuilder<MapBuilder<T>>` | `addKey​(String key)` |
    `T` | `end()` |
    `MapBuilder<T>` | `put​(long key, boolean value)` |
    `MapBuilder<T>` | `put​(long key, byte[] value)` |
    `MapBuilder<T>` | `put​(long key, double value)` |
    `MapBuilder<T>` | `put​(long key, float value)` |
    `MapBuilder<T>` | `put​(long key, long value)` |
    `MapBuilder<T>` | `put​(long key, String value)` |
    `MapBuilder<T>` | `put​(DataItem key, DataItem value)` |
    `MapBuilder<T>` | `put​(String key, boolean value)` |
    `MapBuilder<T>` | `put​(String key, byte[] value)` |
    `MapBuilder<T>` | `put​(String key, double value)` |
    `MapBuilder<T>` | `put​(String key, float value)` |
    `MapBuilder<T>` | `put​(String key, long value)` |
    `MapBuilder<T>` | `put​(String key, String value)` |
    `ArrayBuilder<MapBuilder<T>>` | `putArray​(long key)` |
    `ArrayBuilder<MapBuilder<T>>` | `putArray​(DataItem key)` |
    `ArrayBuilder<MapBuilder<T>>` | `putArray​(String key)` |
    `MapBuilder<MapBuilder<T>>` | `putMap​(long key)` |
    `MapBuilder<MapBuilder<T>>` | `putMap​(DataItem key)` |
    `MapBuilder<MapBuilder<T>>` | `putMap​(String key)` |
    `ArrayBuilder<MapBuilder<T>>` | `startArray​(long key)` |
    `ArrayBuilder<MapBuilder<T>>` | `startArray​(DataItem key)` |
    `ArrayBuilder<MapBuilder<T>>` | `startArray​(String key)` |
    `MapBuilder<MapBuilder<T>>` | `startMap​(long key)` |
    `MapBuilder<MapBuilder<T>>` | `startMap​(DataItem key)` |
    `MapBuilder<MapBuilder<T>>` | `startMap​(String key)` |
    `MapBuilder<MapBuilder<T>>` | `startMapNotChunked​(long key)` |
    `MapBuilder<MapBuilder<T>>` | `startMapNotChunked​(DataItem key)` |
    `MapBuilder<MapBuilder<T>>` | `startMapNotChunked​(String key)` |
    `MapBuilder<T>` | `tagged​(long tag)` |

    - ### Methods inherited from class co.nstant.in.cbor.builder.AbstractBuilder

      `addChunk, convert, convert, convert, convert, convert, convert, convert, getHalfPrecisionFloatDecoder, getHalfPrecisionFloatEncoder, getParent, tag`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapBuilder

          public MapBuilder​(T parent,
                            Map map)

  - ### Method Detail

    - #### put

          public MapBuilder<T> put​(DataItem key,
                                   DataItem value)

    - #### put

          public MapBuilder<T> put​(long key,
                                   long value)

    - #### put

          public MapBuilder<T> put​(long key,
                                   boolean value)

    - #### put

          public MapBuilder<T> put​(long key,
                                   float value)

    - #### put

          public MapBuilder<T> put​(long key,
                                   double value)

    - #### put

          public MapBuilder<T> put​(long key,
                                   byte[] value)

    - #### put

          public MapBuilder<T> put​(long key,
                                   String value)

    - #### put

          public MapBuilder<T> put​(String key,
                                   long value)

    - #### put

          public MapBuilder<T> put​(String key,
                                   boolean value)

    - #### put

          public MapBuilder<T> put​(String key,
                                   float value)

    - #### put

          public MapBuilder<T> put​(String key,
                                   double value)

    - #### put

          public MapBuilder<T> put​(String key,
                                   byte[] value)

    - #### put

          public MapBuilder<T> put​(String key,
                                   String value)

    - #### putArray

          public ArrayBuilder<MapBuilder<T>> putArray​(DataItem key)

    - #### putArray

          public ArrayBuilder<MapBuilder<T>> putArray​(long key)

    - #### putArray

          public ArrayBuilder<MapBuilder<T>> putArray​(String key)

    - #### startArray

          public ArrayBuilder<MapBuilder<T>> startArray​(DataItem key)

    - #### startArray

          public ArrayBuilder<MapBuilder<T>> startArray​(long key)

    - #### startArray

          public ArrayBuilder<MapBuilder<T>> startArray​(String key)

    - #### putMap

          public MapBuilder<MapBuilder<T>> putMap​(DataItem key)

    - #### putMap

          public MapBuilder<MapBuilder<T>> putMap​(long key)

    - #### putMap

          public MapBuilder<MapBuilder<T>> putMap​(String key)

    - #### startMap

          public MapBuilder<MapBuilder<T>> startMap​(DataItem key)

    - #### startMapNotChunked

          public MapBuilder<MapBuilder<T>> startMapNotChunked​(DataItem key)

    - #### tagged

          public MapBuilder<T> tagged​(long tag)

    - #### startMap

          public MapBuilder<MapBuilder<T>> startMap​(long key)

    - #### startMap

          public MapBuilder<MapBuilder<T>> startMap​(String key)

    - #### startMapNotChunked

          public MapBuilder<MapBuilder<T>> startMapNotChunked​(long key)

    - #### startMapNotChunked

          public MapBuilder<MapBuilder<T>> startMapNotChunked​(String key)

    - #### end

          public T end()

    - #### addKey

          public MapEntryBuilder<MapBuilder<T>> addKey​(long key)

    - #### addKey

          public MapEntryBuilder<MapBuilder<T>> addKey​(String key)